#pragma once
#include "../Interface/Layer2UnitData.h"

class Layer2ManagersUnitData : public Layer2UnitData
{
public:
  Layer2ManagersUnitData(BWAPI::Unit* unit)
    : Layer2UnitData(unit)
    , UnitData(unit)
    , m_inUse(false)
    , m_lastRequestedFrame(-1)
    , m_lastRequestedPriority(0)
  { }
  bool isInUse() {return m_inUse;}
  void setInUseFlag(bool flag) {m_inUse = flag;}
  int getLastRequestedFrame() {return m_lastRequestedFrame;}
  void setLastRequestedFrame(int frame) {m_lastRequestedFrame = frame;}
  unsigned int getLastRequestedPriority() {return m_lastRequestedPriority;}
  void setLastRequestedPriority(unsigned int priority) {m_lastRequestedPriority = priority;}
private:
  bool m_inUse;
  int m_lastRequestedFrame;
  unsigned int m_lastRequestedPriority;
};
